### File

`packages/components/directives/eui-tooltip/container/eui-tooltip-container.component.ts`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
selector | `eui-tooltip-container.component`
templateUrl | `eui-tooltip-container.component.html`

### Index

###### Properties
e2e
###### Inputs
config
###### HostBindings
@showHide attr.data-e2e class
###### Accessors
cssClasses showHide

### Inputs

config
Type : `EuiTooltipInterface`
Configuration provided by euiTooltip directive at instantiation.

### HostBindings

@showHide
Type : `string`

attr.data-e2e
Type : `string`
Default value : `'eui-tooltip'`
Sets the `data-e2e` attribute for the host element.

class
Type : `string`

### Properties

e2e
Type : `string`
Default value : `'eui-tooltip'`
Decorators : `@HostBinding('attr.data-e2e')`
Sets the `data-e2e` attribute for the host element.

### Accessors

cssClasses
get `cssClasses()`
Computes and returns the CSS classes for the component based on its current state. Returns : `string`

showHide
get `showHide()`

# results matching ""

# No results matching ""